tigase.component.modules.impl

## Class AdHocCommandModule<CTX extends Context>

- java.lang.Object
- - tigase.component.modules.AbstractModule<CTX>
  - - tigase.component.modules.impl.AdHocCommandModule<CTX>

- All Implemented Interfaces:
    ContextAware, InitializingModule, Module
  Direct Known Subclasses:
    AdHocCommandMonitorModule

      public class AdHocCommandModule<CTX extends Context>
      extends AbstractModule<CTX>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `AdHocCommandModule.ScriptCommandProcessor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String[]` | `COMMAND_PATH`
    `protected AdHocCommandManager` | `commandsManager`
    `protected static Criteria` | `CRIT`
    `static String` | `ID`
    `protected AdHocCommandModule.ScriptCommandProcessor` | `scriptProcessor`
    `static String` | `XMLNS`

    - ### Fields inherited from class tigase.component.modules.AbstractModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdHocCommandModule(AdHocCommandModule.ScriptCommandProcessor scriptProcessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Element>` | `getCommandListItems(JID senderJid, JID toJid)`
    `String[]` | `getFeatures()` Returns XMPP features offered by module.
    `Criteria` | `getModuleCriteria()` Returns critera used by Component to select module to handle incoming stanza.
    `List<Element>` | `getScriptItems(String node, JID stanzaTo, JID stanzaFrom)`
    `void` | `process(Packet packet)` Process incoming stanza.
    `protected void` | `processScriptAdHoc(Packet packet)`
    `void` | `register(AdHocCommand command)`

    - ### Methods inherited from class tigase.component.modules.AbstractModule

      `afterRegistration, beforeRegister, fireEvent, setContext, unregisterModule, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMMAND_PATH

          protected static final String[] COMMAND_PATH

    - #### CRIT

          protected static final Criteria CRIT

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

    - #### commandsManager

          protected AdHocCommandManager commandsManager

    - #### scriptProcessor

          protected AdHocCommandModule.ScriptCommandProcessor scriptProcessor

  - ### Constructor Detail

    - #### AdHocCommandModule

          public AdHocCommandModule(AdHocCommandModule.ScriptCommandProcessor scriptProcessor)

  - ### Method Detail

    - #### getCommandListItems

          public List<Element> getCommandListItems(JID senderJid,
                                                   JID toJid)

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `Module`
      Returns XMPP features offered by module. Features will be returned by Service Discovery.
      Returns:
        array of features or `null`.

    - #### getModuleCriteria

          public Criteria getModuleCriteria()

      Description copied from interface: `Module`
      Returns critera used by Component to select module to handle incoming stanza.
      Returns:
        criteria of selecting module.

    - #### getScriptItems

          public List<Element> getScriptItems(String node,
                                              JID stanzaTo,
                                              JID stanzaFrom)

    - #### process

          public void process(Packet packet)
                       throws ComponentException

      Description copied from interface: `Module`
      Process incoming stanza.
      Parameters:
        `packet` - received `stanza`.
      Throws:
        `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.

    - #### processScriptAdHoc

          protected void processScriptAdHoc(Packet packet)

    - #### register

          public void register(AdHocCommand command)

Copyright © 2022 "Tigase, Inc.". All rights reserved.